org.springframework.data.relational.core.sql

## Class Assignments

- java.lang.Object
- - org.springframework.data.relational.core.sql.Assignments

    public abstract class Assignments
    extends Object

Factory for common `Assignment`s.

Since:
  1.1
Author:
  Mark Paluch
See Also:
  `SQL`, `Expressions`, `Functions`

### Method Summary

All Methods Static Methods Concrete Methods
`static AssignValue` `value(Column target, Expression value)` Creates a `value` assignment to a `Column` given an `Expression`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### value

    public static AssignValue value(Column target,
                                    Expression value)

Creates a `value` assignment to a `Column` given an `Expression`.

Parameters:
  `target` - target column, must not be null.
  `value` - assignment value, must not be null.
Returns:
  the `AssignValue`.